BLK_CLEANUP_QUEUE(9)

NAME
blk_cleanup_queue - release a &request_queue_t when it is no longer needed

SYNOPSIS

void blk_cleanup_queue (request_queue_t * q);

ARGUMENTS

q   the request queue to be released

DESCRIPTION

blk_cleanup_queue is the pair to blk_init_queue or blk_queue_make_request. It should be called when a request queue is being released; typically when a block device is being de-registered. Currently, its primary task it to free all the &struct request structures that were allocated to the queue and the queue itself.

CAVEAT

Hopefully the low level driver will have finished any outstanding requests first...